PlatformDependencyModifiers (Gradle API 7.6.4)

Package org.gradle.api.artifacts.dsl

## Interface PlatformDependencyModifiers

- All Superinterfaces:
    `Dependencies`
  All Known Subinterfaces:
    `JvmComponentDependencies`

      @Incubating
      public interface PlatformDependencyModifiers
      extends Dependencies

  Dependency APIs for using Platforms in `dependencies` blocks.

  NOTE: This API is incubating and is likely to change until it's made stable.

  Since:
    7.6

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<D extends ModuleDependency> D` | `enforcedPlatform​(D dependency)` | Takes a given `ModuleDependency` and modifies it to select the Enforced Platform variant of the given module.
    `default ExternalModuleDependency` | `enforcedPlatform​(java.lang.CharSequence dependencyNotation)` | Create an `ExternalModuleDependency` from the given notation and modifies it to select the Enforced Platform variant of the given module.
    `default <D extends ModuleDependency> Provider<D>` | `enforcedPlatform​(Provider<D> providerToDependency)` | Takes a given `Provider` to a `ModuleDependency` and modifies the dependency to select the Enforced Platform variant of the given module.
    `default Provider<? extends MinimalExternalModuleDependency>` | `enforcedPlatform​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)` | Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Enforced Platform variant of the given module.
    `<D extends ModuleDependency> D` | `platform​(D dependency)` | Takes a given `ModuleDependency` and modifies it to select the Platform variant of the given module.
    `default ExternalModuleDependency` | `platform​(java.lang.CharSequence dependencyNotation)` | Create an `ExternalModuleDependency` from the given notation and modifies it to select the Platform variant of the given module.
    `default <D extends ModuleDependency> Provider<D>` | `platform​(Provider<D> providerToDependency)` | Takes a given `Provider` to a `ModuleDependency` and modifies the dependency to select the Platform variant of the given module.
    `default Provider<? extends MinimalExternalModuleDependency>` | `platform​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)` | Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Platform variant of the given module.

    - ### Methods inherited from interface org.gradle.api.artifacts.dsl.Dependencies

      `getDependencyFactory, module, module, project, project`

- - ### Method Detail

    - #### platform

          default ExternalModuleDependency platform​(java.lang.CharSequence dependencyNotation)

      Create an `ExternalModuleDependency` from the given notation and modifies it to select the Platform variant of the given module.
      Parameters:
        `dependencyNotation` - the dependency notation
      Returns:
        the modified dependency
      See Also:
        `DependencyFactory.create(CharSequence)`

    - #### platform

          <D extends ModuleDependency> D platform​(D dependency)

      Takes a given `ModuleDependency` and modifies it to select the Platform variant of the given module.
      Parameters:
        `dependency` - the dependency
      Returns:
        the modified dependency

    - #### platform

          default Provider<? extends MinimalExternalModuleDependency> platform​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)

      Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Platform variant of the given module.
      Parameters:
        `providerConvertibleToDependency` - the provider
      Returns:
        a provider to the modified dependency

    - #### platform

          default <D extends ModuleDependency> Provider<D> platform​(Provider<D> providerToDependency)

      Takes a given `Provider` to a `ModuleDependency` and modifies the dependency to select the Platform variant of the given module.
      Parameters:
        `providerToDependency` - the provider
      Returns:
        a provider to the modified dependency

    - #### enforcedPlatform

          default ExternalModuleDependency enforcedPlatform​(java.lang.CharSequence dependencyNotation)

      Create an `ExternalModuleDependency` from the given notation and modifies it to select the Enforced Platform variant of the given module.
      Parameters:
        `dependencyNotation` - the dependency notation
      Returns:
        the modified dependency
      See Also:
        `DependencyFactory.create(CharSequence)`

    - #### enforcedPlatform

          <D extends ModuleDependency> D enforcedPlatform​(D dependency)

      Takes a given `ModuleDependency` and modifies it to select the Enforced Platform variant of the given module.
      Parameters:
        `dependency` - the dependency
      Returns:
        the modified dependency

    - #### enforcedPlatform

          default Provider<? extends MinimalExternalModuleDependency> enforcedPlatform​(ProviderConvertible<? extends MinimalExternalModuleDependency> providerConvertibleToDependency)

      Takes a given `Provider` to a `MinimalExternalModuleDependency` and modifies the dependency to select the Enforced Platform variant of the given module.
      Parameters:
        `providerConvertibleToDependency` - the provider
      Returns:
        a provider to the modified dependency

    - #### enforcedPlatform

          default <D extends ModuleDependency> Provider<D> enforcedPlatform​(Provider<D> providerToDependency)

      Takes a given `Provider` to a `ModuleDependency` and modifies the dependency to select the Enforced Platform variant of the given module.
      Parameters:
        `providerToDependency` - the provider
      Returns:
        a provider to the modified dependency